package GUIAnwendungen.Meine_GUI_Chat;

import java.awt.EventQueue;
import java.util.Scanner;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import java.awt.Color;
import javax.swing.JList;
import javax.swing.JTable;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.JButton;
import java.awt.Font;
import javax.swing.JLabel;

public class Chat_Fenster extends JFrame {

	JPanel contentPane;
	private JTextField eingabeNachricht;
	private JTextArea nachrichtAnzeigen;
	private JButton sendeNachricht;
	private JPanel panel;
	private JLabel user1Name;

	public Chat_Fenster() {
		setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		setBounds(100, 100, 460, 665);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));

		setContentPane(contentPane);
		contentPane.setLayout(null);

		nachrichtAnzeigen = new JTextArea();
		nachrichtAnzeigen.setEditable(false);
		nachrichtAnzeigen.setLineWrap(true);
		nachrichtAnzeigen.setFont(new Font("Tahoma", Font.BOLD, 13));
		nachrichtAnzeigen.setForeground(new Color(0, 128, 255));
		nachrichtAnzeigen.setBounds(10, 95, 350, 432);
		contentPane.add(nachrichtAnzeigen);

		eingabeNachricht = new JTextField();
		eingabeNachricht.setBounds(10, 538, 227, 31);
		contentPane.add(eingabeNachricht);
		eingabeNachricht.setColumns(10);

		sendeNachricht = new JButton("sendeNachricht");
		sendeNachricht.setBounds(247, 542, 135, 27);
		contentPane.add(sendeNachricht);

		panel = new JPanel();
		panel.setBackground(new Color(0, 128, 255));
		panel.setBounds(10, 28, 350, 56);
		contentPane.add(panel);
		panel.setLayout(null);

		user1Name = new JLabel("User1: ");
		user1Name.setForeground(new Color(255, 255, 255));
		user1Name.setFont(new Font("Tahoma", Font.BOLD, 14));
		user1Name.setBounds(10, 11, 83, 36);
		panel.add(user1Name);

		this.setVisible(true);

	}

	public void sendeNachricht(String nachricht) {
		nachrichtAnzeigen.append(nachricht);
		nachrichtAnzeigen.append("\n");
	}

	public void zeigeName(String name) {
		user1Name.setText(name);
	}

	public JTextField getEingabeNachricht() {
		return eingabeNachricht;
	}

	public JButton getSendeNachricht() {
		return sendeNachricht;
	}

	public JLabel getUser1Name() {
		return user1Name;
	}

	public void setUser1Name(String user1Name) {
		this.user1Name.setText(user1Name);
	}

	public void setEingabeNachricht(JTextField eingabeNachricht) {
		this.eingabeNachricht = eingabeNachricht;
	}

	
}
